Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.service
Class EngineService

    java.lang.Object
      org.modeshape.jboss.service.EngineService

All Implemented Interfaces:
  Serializable, org.jboss.msc.service.Service<ModeShapeEngine>, org.jboss.msc.value.Value<ModeShapeEngine>

    public final class EngineService

extends Object
implements org.jboss.msc.service.Service<ModeShapeEngine>, Serializable

An `EngineService` instance is a JBoss service object for a `ModeShapeEngine`.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.jboss.msc.service.Service
`NULL, NULL_VALUE`

Constructor Summary
`EngineService(ModeShapeEngine engine)` Set the engine instance for this service

Method Summary
`ModeShapeEngine` | `getValue()`
`void` | `start(org.jboss.msc.service.StartContext context)`
`void` | `stop(org.jboss.msc.service.StopContext arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineService

    public EngineService(ModeShapeEngine engine)

  Set the engine instance for this service

  Parameters:
    `engine` - the engine (never `null`)

Method Detail

### getValue

    public ModeShapeEngine getValue()
                             throws IllegalStateException,
                                    IllegalArgumentException

  Specified by:
    `getValue` in interface `org.jboss.msc.value.Value<ModeShapeEngine>`
  Throws:
    `IllegalStateException`
    `IllegalArgumentException`

### start

    public void start(org.jboss.msc.service.StartContext context)

  Specified by:
    `start` in interface `org.jboss.msc.service.Service<ModeShapeEngine>`

### stop

    public void stop(org.jboss.msc.service.StopContext arg0)

  Specified by:
    `stop` in interface `org.jboss.msc.service.Service<ModeShapeEngine>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.